Last modified: 2014-09-23 22:34:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15259 - Log entries use bad grammar
Log entries use bad grammar
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
GlobalBlocking (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2008-08-21 20:29 UTC by Mike.lifeguard
Modified: 2014-09-23 22:34 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2008-08-21 20:29:34 UTC
Your IP address has been blocked on all wikis by Dungodung (meta.wikimedia.org). The reason given was "testing (with permission)". The block's expiry is expires 20:30, 21 August 2008.

The language here is wrong - the string for the expiry either needs to be a time (ie indef, 2 weeks... instead of when it expires) or the log entry text needs to be changed such that an expiry time/date makes grammatical sense.
Comment 1 Chad H. 2008-08-21 20:34:43 UTC
Fixed in r39787. Param $4 is Block::formatExpiry(), which automatically adds "expires 2008....). Message should now read "The block expires ....."
Comment 2 Niklas Laxström 2011-10-09 21:46:38 UTC
Revision marked as fixme.
Comment 3 Sumana Harihareswara 2013-02-21 23:12:58 UTC
Mike.lifeguard, is this grammar error still reproducible?  Thanks.
Comment 4 Nemo 2013-02-22 04:53:47 UTC
(In reply to comment #3)
> Mike.lifeguard, is this grammar error still reproducible?  Thanks.

Of course not, it was replaced with another grammar error by the "fix", as noted in comment 2. :)
According to [[translatewiki:MediaWiki:Globalblocking-blocked/qqq]], error is still there.
Comment 5 PiRSquared17 2014-05-19 17:38:50 UTC
(In reply to Nemo from comment #4)
> (In reply to comment #3)
> > Mike.lifeguard, is this grammar error still reproducible?  Thanks.
> 
> Of course not, it was replaced with another grammar error by the "fix", as
> noted in comment 2. :)
> According to [[translatewiki:MediaWiki:Globalblocking-blocked/qqq]], error
> is still there.

Hasn't this been fixed? [[translatewiki:MediaWiki:Globalblocking-ipblocked/en]]

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links